package io.renren.modules.app.dao;

import io.renren.modules.app.entity.XlkEntity;
import io.renren.modules.app.entity.YwpzDyEntity;
import io.renren.modules.app.entity.YwpzEntity;
import com.baomidou.mybatisplus.mapper.BaseMapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

/**
 * 个人缴款通知书
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-03-22 09:53:01
 */
@Mapper
public interface GrjktzsDao extends BaseMapper<YwpzEntity> {

	// 下拉框
	List<XlkEntity> selectxq();

	List<XlkEntity> selectxm(String bm);

	List<XlkEntity> selectlz(String bm);

	List<XlkEntity> selectfw(String bm);

	List<XlkEntity> selectfwxx(String id);

	// 保存按钮
	void insertbc(YwpzDyEntity ywpzdyEntity);

	// 查询按钮
	List<YwpzDyEntity> queryByPage(YwpzEntity ywpzEntity);
	
	void deletedy(YwpzDyEntity ywpzDyEntity); 
	String queryByCount(String date);

}
